CamelVeeSummary
3
CAMEL Library

# CamelVeeSummary

## Synopsis

                        CamelVeeSummary;
                        CamelVeeMessageInfo;
    CamelFolderSummary* camel_vee_summary_new               (struct _CamelFolder *parent);
    CamelVeeMessageInfo* camel_vee_summary_add              (CamelVeeSummary *s,
                                                             CamelMessageInfo *info,
                                                             const char hash[8]);

## Description

## Details

### CamelVeeSummary

    typedef struct {
    	CamelFolderSummary summary;
    } CamelVeeSummary;

### CamelVeeMessageInfo

    typedef struct {
    	CamelMessageInfo info;

    	CamelMessageInfo *real;
    } CamelVeeMessageInfo;

### camel_vee_summary_new ()

    CamelFolderSummary* camel_vee_summary_new               (struct _CamelFolder *parent);

This will create a new CamelVeeSummary object and read in the summary data from disk, if it exists.

`parent` :

  Folder its attached to.

Returns :

  A new CamelVeeSummary object.

### camel_vee_summary_add ()

    CamelVeeMessageInfo* camel_vee_summary_add              (CamelVeeSummary *s,
                                                             CamelMessageInfo *info,
                                                             const char hash[8]);

`s` :

`info` :

`hash` :

Returns :